NAMESERVERS=(
'9.9.9.9'
)
PACKAGES=(
'ca-certificates'
'git'
'python3'
)
REPOSITORY='rwx.work/cd'

for nameserver in "${NAMESERVERS[@]}" ; do
    echo "nameserver ${nameserver}" \
    >> '/etc/resolv.conf' \
    || exit
done

echo -n "\
APT::Get::Show-Versions True;
APT::Install-Recommends False;
APT::Install-Suggests False;
" > '/etc/apt/apt.conf.d/apt.conf' \
|| exit
apt-get update \
|| exit
apt-get install --yes "${PACKAGES[@]}" \
|| exit

DIRECTORY="$(mktemp --directory)" \
|| exit
git clone \
"${GITHUB_SERVER_URL}/${REPOSITORY}" \
"${DIRECTORY}" \
|| exit
"${DIRECTORY}/bootstrap.sh"
